﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="task">
    <head><title>Pre-requisites</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Pre-requisites</h1>
        <p>Ensure that the following&#160;prerequisites are completed,&#160;before you begin to work with the ARS&#160;module of Saviynt Identity Governance and Administration (IGA)</p>
        <table style="width: 100%;">
            <col style="width: 7.62887%;" />
            <col style="width: 22.1649%;" />
            <col style="width: 70.2062%;" />
            <thead>
                <tr>
                    <th>
                        <p class="table-text">Step Number</p>
                    </th>
                    <th>
                        <p class="table-text">Summary</p>
                    </th>
                    <th>
                        <p class="table-text">Detailed Description</p>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <p style="text-align: center;" class="table-text">1</p>
                    </td>
                    <td>
                        <p class="table-text">Access to IGA Application</p>
                    </td>
                    <td>
                        <p class="table-text">The login credentials (username/password) to access the IGA application should be provided to the user.</p>
                    </td>
                </tr>
                <tr>
                    <td>
                        <p style="text-align: center;" class="table-text">2</p>
                    </td>
                    <td>
                        <p class="table-text">Admin or User Login credentials</p>
                    </td>
                    <td>
                        <p class="table-text">A valid system administrator login (username/password) that has administrator permissions&#160;and access to all available tiles in ARS should be provided to the user.</p>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: center;">
                        <p class="table-text">3</p>
                    </td>
                    <td>
                        <p class="table-text">Assignment of user personas to SAV Role</p>
                    </td>
                    <td>When a user logs in for the first time to IGA, the ARS tab is not visible until the user's access to ARS is enabled.&#160;The IGA admin has to enable the user's access for every ARS menu and submenu&#160;within IGA application. For more information about enabling access to ARS tab, see <em>Access Tab</em> section under <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Understanding-the-SAV-Role-Parameters.htm#UnderstandingTheSavRoleParameters-AccessTab">Understanding the SAV Role Parameters</MadCap:xref>.<p class="table-text">Even after the access to the ARS tab is enabled, the request tiles on&#160;ARS page may not be visible to the user. This is because these&#160;request tiles need&#160;to be enabled by IGA admin from the SAV Roles menu.&#160;For more information about enabling the required tiles on ARS Request Home page, see <em>Create Request Home Option</em> section under <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Understanding-the-SAV-Role-Parameters.htm#UnderstandingTheSavRoleParamerts-CreateRequestHomeOptionTab">Understanding the SAV Role Parameters</MadCap:xref>.</p></td>
                </tr>
                <tr>
                    <td style="text-align: center;">
                        <p class="table-text">4</p>
                    </td>
                    <td>
                        <p class="table-text"><span style="color: rgb(0,0,0);">Setting up Identity Repository</span>
                        </p>
                    </td>
                    <td>
                        <p>Saviynt Identity Repository&#160;must be set up on IGA application. For more information about setting upIdentity Repository, see. You can create the following :</p>
                        <ul>
                            <li>
                                <p>
                                    <MadCap:xref href="../Chapter03-Onboarding-Users/Creating-Users.htm">Creating Users</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-User-Group.htm">Creating User Group</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-Roles.htm">Creating Roles</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p> <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-Accounts.htm">Creating Accounts</MadCap:xref></p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-Endpoints.htm">Creating Endpoints</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-Entitlements.htm">Creating Entitlements</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p>
                                    <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-a-Connection.htm">Creating a Connection</MadCap:xref>
                                </p>
                            </li>
                            <li>
                                <p> <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-Organization.htm">Creating Organizations</MadCap:xref>, etc</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: center;">
                        <p class="table-text">5</p>
                    </td>
                    <td>
                        <p class="table-text">Assigning access to the application using access query in Endpoints.</p>
                        <p class="table-text">Approvers are assigned for Endpoints.</p>
                    </td>
                    <td>
                        <ul>
                            <li>Ensure that the list of application(s) to be listed while a user is requesting access from ARS is set up&#160;by specifying the Access Query in the Endpoint tab configuration. Based on the Access Query defined in the Endpoint, only the respective type of user(s) can view the application(s) list while requesting in ARS. For more information about defining an Access Query in Endpoint, see  &#160;Managing Endpoints.</li>
                            <li>One or more endpoints with associated approver(s) have been set up based on the workflow created. For more information about setting up the Resource Owner (approver) in Endpoint, see&#160;<MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-Endpoints.htm">Creating Endpoints</MadCap:xref>.&#160;</li>
                        </ul>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: center;">
                        <p class="table-text">6</p>
                    </td>
                    <td>
                        <p class="table-text">Create and assign a workflow to Endpoints</p>
                    </td>
                    <td>Workflow for ARS request(s) should be created and approvers must be assigned in the workflow. <p class="table-text"><span>For more information about creating workflows, see  &#160;</span><MadCap:xref href="../Chapter11-Managing-Workflows/Creating-Workflows.htm">Creating Workflows</MadCap:xref><span>.</span></p></td>
                </tr>
                <tr>
                    <td style="text-align: center;">
                        <p class="table-text">7</p>
                    </td>
                    <td>
                        <p class="table-text"><span style="color: rgb(0,0,0);">Create Email Templates for ARS requests</span>
                        </p>
                    </td>
                    <td>
                        <p class="table-text">Various Email Templates and parameters for ARS requests must be configured in IGA.</p>For more information related to setting-upEmail Template for ARS, see the section Email Parameters required for ARS tab in <MadCap:xref href="../Chapter06-Configuring-EIC/Creating-and-Managing-Email-Templates.htm">Managing Email Templates</MadCap:xref>.</td>
                </tr>
                <tr>
                    <td style="text-align: center;">
                        <p class="table-text">8</p>
                    </td>
                    <td>
                        <p class="table-text"><span style="color: rgb(0,0,0);">Configuring Job Control Panel</span>
                        </p>
                    </td>
                    <td>
                        <p class="table-text">Ensure that all the jobs related to ARS are created and scheduled to complete and provision the Requests. The jobs used for ARS include&#160;CreateTaskforFutureEntRole Requests (EnterpriseRoleManagement), Expire Old Request Job, FIRE-FIGHTER Access and Usage Import, Provisioning Job (WSRETRY), BulkRequestJob, DashboardrefreshJob, and JBPMRetryJob. For more information about creating jobs and their usage, see&#160;<MadCap:xref href="../Chapter10-Managing-Jobs-Using-Job-Control-Panel/Job-Control-Panel.htm">Job Control Panel</MadCap:xref>.</p>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: center;">
                        <p class="table-text">9</p>
                    </td>
                    <td>
                        <p class="table-text"><span style="color: rgb(0,0,0);">Possess accurate data and information pertaining to the ARS process</span>
                        </p>
                    </td>
                    <td>
                        <p class="table-text">You need to enter the information about users in IGA to perform any type of ARS action.&#160;For this, you need to have a clear understanding of the business functions of your organization and&#160;corresponding&#160;users.</p>
                    </td>
                </tr>
                <tr>
                    <td style="text-align: center;">
                        <p class="table-text">10</p>
                    </td>
                    <td>
                        <p class="table-text"><span style="color: rgb(0,0,0);">Configure ARS Global&#160;<span class="inline-comment-marker">Configurations</span>&#160;</span>
                        </p>
                    </td>
                    <td>
                        <div class="content-wrapper">
                            <p>Ensure that ARS-related configurations are set up and provided from&#160;<strong>Admin &gt; Global Configurations &gt; Request&#160;</strong><span style="color: rgb(51,51,51);"><span style="color: rgb(0,0,0);">tab for versions of IGA.</span></span></p>
                            <p>For more information, see <MadCap:xref href="../Chapter06-Configuring-EIC/ARS-Request-Configurations.htm">ARS Request Configurations</MadCap:xref>.</p>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>